public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-biology/bowtie/
Date: Wed, 17 Mar 2021 10:37:12 +0000 (UTC)	[thread overview]
Message-ID: <1615977421.77a54a4d9f64ce2bfff0ef2928500cefd5cb1b9d.andrewammerlaan@gentoo> (raw)

commit:     77a54a4d9f64ce2bfff0ef2928500cefd5cb1b9d
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Wed Mar 17 10:37:01 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed Mar 17 10:37:01 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=77a54a4d

sci-biology/bowtie: add version 1.3.0

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 sci-biology/bowtie/bowtie-1.3.0.ebuild | 63 ++++++++++++++++++++++++++++++++++
 1 file changed, 63 insertions(+)

diff --git a/sci-biology/bowtie/bowtie-1.3.0.ebuild b/sci-biology/bowtie/bowtie-1.3.0.ebuild
new file mode 100644
index 000000000..118cc1303
--- /dev/null
+++ b/sci-biology/bowtie/bowtie-1.3.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Popular short read aligner for Next-generation sequencing data"
+HOMEPAGE="http://bowtie-bio.sourceforge.net/"
+SRC_URI="https://github.com/BenLangmead/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Artistic"
+SLOT="1"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="examples +tbb"
+
+RDEPEND="tbb? ( dev-cpp/tbb )"
+DEPEND="${RDEPEND}
+	app-arch/unzip"
+#	sci-biology/seqan:1.4"
+
+DOCS=( AUTHORS NEWS TUTORIAL doc/README )
+HTML_DOCS=( doc/{manual.html,style.css} )
+
+src_prepare() {
+	default
+
+	# remove bundled library of headers, use system seqan 1.4
+	# rm -rf SeqAn-1.1/ third_party/ || die
+
+	# innocuous non-security flags, prevent log pollution
+	append-cxxflags \
+		-Wno-unused-local-typedefs \
+		-Wno-unused-but-set-variable \
+		-Wno-unused-variable
+}
+
+src_compile() {
+	emake \
+		CC="$(tc-getCC)" \
+		CPP="$(tc-getCXX)" \
+		CFLAGS="" \
+		CXXFLAGS="" \
+		EXTRA_FLAGS="${LDFLAGS}" \
+		RELEASE_FLAGS="${CXXFLAGS}" \
+		WITH_TBB="$(usex tbb 1 0)"
+}
+
+src_install() {
+	dobin ${PN} ${PN}-*
+
+	exeinto /usr/libexec/${PN}
+	doexe scripts/*
+
+	newman MANUAL ${PN}.1
+	einstalldocs
+
+	if use examples; then
+		insinto /usr/share/${PN}
+		doins -r genomes indexes
+	fi
+}


             reply	other threads:[~2021-03-17 10:37 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-03-17 10:37 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-03-16 18:15 [gentoo-commits] proj/sci:master commit in: sci-biology/bowtie/ Andrew Ammerlaan
2021-03-06 10:02 Andrew Ammerlaan
2020-12-30 22:52 Martin Mokrejs
2020-02-28 23:07 Martin Mokrejs
2020-02-26  8:49 Martin Mokrejs
2019-03-25 11:21 Martin Mokrejs
2019-02-19 11:26 Martin Mokrejs
2019-02-19 11:24 Martin Mokrejs
2015-10-12  6:51 Marius Brehler
2015-10-12  6:51 Marius Brehler
2015-05-01 20:38 Martin Mokrejs
2015-04-27 11:01 Martin Mokrejs
2015-02-08 21:07 Christoph Junghans
2015-02-08 21:07 Christoph Junghans
2013-09-28 10:57 Justin Lecher
2013-09-27 15:05 Nicolas Bock

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1615977421.77a54a4d9f64ce2bfff0ef2928500cefd5cb1b9d.andrewammerlaan@gentoo \
    --to=andrewammerlaan@riseup.net \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox